> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute an Extended withdrawal using a quote from /quote



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /withdraw/extended/execute
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /withdraw/extended/execute:
    post:
      tags:
        - Withdraw / Extended
      summary: Execute an Extended withdrawal using a quote from /quote
      operationId: ExtendedWithdrawController_execute
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteExtendedWithdrawBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteExtendedWithdrawResponseDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    ExecuteExtendedWithdrawBodyDto:
      type: object
      properties:
        amount:
          type: string
          pattern: \d+(\.\d+)?
          description: Withdrawal amount from the quote step
          example: '5.0'
        chainId:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
          description: Target EVM chain ID from the quote step
          example: 42161
        quoteId:
          type: string
          description: Bridge quote identifier from the quote step
      required:
        - amount
        - chainId
        - quoteId
      title: ExecuteExtendedWithdrawBody
    ExecuteExtendedWithdrawResponseDto:
      type: object
      properties:
        quoteId:
          type: string
          description: Bridge quote identifier that was executed
      required:
        - quoteId
      title: ExecuteExtendedWithdrawResponse
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.